package com.ff.weijinxiao.util;


import net.sf.json.JSONArray;
import net.sf.json.JSONObject;

import java.util.ArrayList;
import java.util.List;

/*
 * 解析json入参工具类
 */
public class JsonTool {

    public static Integer parseJsonIdStr(String jsonStr) {
        JSONObject json = JSONObject.fromObject(jsonStr);
        if (null == json) {
            return -1;
        }else{
            Integer id = json.getInt("id");
            if(null == id) {
                return -1;
            }else {
                return id;
            }
        }
    }

    public static List<Integer> parseJsonIdsStr(String jsonStr) {
        List<Integer> result = new ArrayList<>();
        JSONArray jsonArray = JSONArray.fromObject(jsonStr);
        if (null != jsonArray && jsonArray.size() > 0) {
            for(int i=0;i<jsonArray.size();i++) {
                JSONObject json = jsonArray.getJSONObject(i);
                Integer id = json.getInt("id");
                if(null != id) {
                    result.add(id);
                }
            }
        }
        return result;
    }

}
